org.wildfly.swarm.config.undertow.configuration

## Class Rewrite<T extends Rewrite<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.configuration.Rewrite<T>

-     public class Rewrite<T extends Rewrite<T>>
      extends Object

  A rewrite (or redirect) filter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rewrite(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Boolean` | `redirect()` If this is true then a redirect will be done instead of a rewrite
    `T` | `redirect(Boolean value)` If this is true then a redirect will be done instead of a rewrite
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `target()` The expression that defines the target.
    `T` | `target(String value)` The expression that defines the target.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Rewrite

          public Rewrite(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### redirect

          public Boolean redirect()

      If this is true then a redirect will be done instead of a rewrite

    - #### redirect

          public T redirect(Boolean value)

      If this is true then a redirect will be done instead of a rewrite

    - #### target

          public String target()

      The expression that defines the target. If you are redirecting to a constant target put single quotes around the value

    - #### target

          public T target(String value)

      The expression that defines the target. If you are redirecting to a constant target put single quotes around the value

Copyright © 2017 JBoss by Red Hat. All rights reserved.